/* declarations */
int sgetline(int fd, char **sbuf);
int sputline(int fd, char *outbuf);
int connect_to_nntphost(char *host, struct hostent **);
char *number(char *sp, int *intPtr);
char *full_path(char *, char *);
struct hostent *get_hostent(char *host);

/* debugging options. no need to change it */
#ifdef DEBUG1
#define DEBUG
#endif

#ifdef DEBUG2
#define DEBUG
#define N_DEBUG "debug.suck"
#endif

#ifdef DEBUG3
#define N_DEBUG "debug.rpost"
#define DEBUG
#endif

#ifdef DEBUG
void do_debug(char *fmt, ...);
void MyPerror(char *);
#define perror(x) MyPerror(x)
#ifndef N_DEBUG 
#define N_DEBUG "debug.both"
#endif
#endif

/* Config Options */

/* maximum line length in message */
#ifndef MAXLINLEN
#define MAXLINLEN 4096
#endif

/* location of tmp files, if not defined, use current directory */
/* #define N_PATH	"/usr/lib/news/forME"	*/	
#ifndef N_PATH
#define N_PATH "."
#endif

/* location of sucknewsrc */
/* #define N_NEWSRC_DIR	"/usr/lib/news/forME" */
#ifndef N_NEWSRCDIR
#define N_NEWSRCDIR "."
#endif

/*location of messages produced by suck, if multifile option selected */
#ifndef N_MSGDIR
#define N_MSGDIR "./Msgs"
#endif

/* Argument substition strings for rpost */
#ifndef RPOST_FILTER_IN
#define RPOST_FILTER_IN "$$i"
#endif
#ifndef RPOST_FILTER_OUT
#define RPOST_FILTER_OUT "$$o"
#endif

/* Max nr of args to the fpost filter */
#ifndef RPOST_MAXARGS
#define RPOST_MAXARGS 128
#endif
